:::anchor Multiline Ellipsis

At present, this function only supports browser with [-webkit-line-clamp attribute](https://developer.mozilla.org/zh-CN/docs/Web/CSS/-webkit-line-clamp)

:::demo How many lines cell ellipsis through `lineClamp`

```html
<template>
  <ve-table
    rowKeyFieldName="rowkey"
    :fixed-header="true"
    :columns="columns"
    :table-data="tableData"
  />
</template>

<script>
  export default {
    data() {
      return {
        columns: [
          { field: "name", key: "a", title: "Name", align: "left", width: "15%" },
          { field: "date", key: "b", title: "Date", align: "left", width: "15%" },
          { field: "hobby", key: "c", title: "Hobby", align: "center", width: "30%" },
          {
            field: "address",
            key: "d",
            title: "Address",
            align: "left",
            width: "40%",
            ellipsis: {
              showTitle: true,
              lineClamp: 2,
            },
          },
        ],
        // table data
        tableData: [
          {
            name: "John",
            date: "1900-05-20",
            hobby: "coding and coding repeat",
            address:
              "No.1 Century Avenue, Shanghai,this is a long text,this is a long text,this is a long text,this is a long text,this is a long text,this is a long text",
            rowkey: 0,
          },
          {
            name: "Dickerson",
            date: "1910-06-20",
            hobby: "coding and coding repeat",
            address:
              "No.1 Century Avenue, Beijing,this is a long text,this is a long text,this is a long text,this is a long text",
            rowkey: 1,
          },
          {
            name: "Larsen",
            date: "2000-07-20",
            hobby: "coding and coding repeat",
            address:
              "No.1 Century Avenue, Chongqing,this is a long text,this is a long text,this is a long text,this is a long text,this is a long text,this is a long text,this is a long text,this is a long text",
            rowkey: 2,
          },
          {
            name: "Geneva",
            date: "2010-08-20",
            hobby: "coding and coding repeat",
            address: "No.1 Century Avenue, Xiamen,this is a long text,this is a long text",
            rowkey: 3,
          },
          {
            name: "Jami",
            date: "2020-09-20",
            hobby: "coding and coding repeat",
            address: "No.1 Century Avenue, Shenzhen",
            rowkey: 4,
          },
        ],
      };
    },
    methods: {},
  };
</script>
```

:::
