:::anchor 表头分组结合固定列

:::demo 1、通过`fixed:"left"`设置固定左列<br>2、固定列只需指定到顶层列即可

```html
<template>
  <ve-table
    fixed-header
    :scroll-width="1600"
    :max-height="380"
    border-y
    :columns="columns"
    :table-data="tableData"
    rowKeyFieldName="rowkey"
  />
</template>

<script>
  export default {
    data() {
      return {
        columns: [
          { field: "col1", key: "a", title: "col1", width: 50, fixed: "left" },
          {
            title: "col2-col3",
            fixed: "left",
            children: [
              {
                field: "col2",
                key: "b",
                title: "col2",
                width: 50,
              },
              {
                field: "col3",
                key: "c",
                title: "col3",
                width: 50,
              },
            ],
          },
          {
            title: "col4-col5-col6",
            children: [
              {
                title: "col4-col5",
                children: [
                  {
                    field: "col4",
                    key: "d",
                    title: "col4",
                    width: 130,
                  },
                  {
                    field: "col5",
                    key: "e",
                    title: "col5",
                    width: 140,
                  },
                ],
              },
              {
                title: "col6",
                field: "col6",
                key: "f",
                width: 140,
              },
            ],
          },
          {
            title: "col7",
            fixed: "right",
            children: [
              {
                title: "col7-1",
                field: "col7",
                key: "g",
                width: 50,
              },
            ],
          },
          { field: "col8", key: "h", title: "col8", width: 50, fixed: "right" },
        ],
        tableData: [],
      };
    },
    methods: {
      initTableData() {
        let data = [];
        for (let i = 0; i < 10; i++) {
          data.push({
            rowkey: i,
            col1: i,
            col2: i,
            col3: i,
            col4: i,
            col5: i,
            col6: i,
            col7: i,
            col8: i,
          });
        }
        this.tableData = data;
      },
    },
    created() {
      this.initTableData();
    },
  };
</script>
```

:::
