:::anchor 表头分组

:::demo 1、通过设置`children`指定当前合并的列

```html
<template>
  <ve-table border-y :columns="columns" :table-data="tableData" rowKeyFieldName="rowkey" />
</template>

<script>
  export default {
    data() {
      return {
        columns: [
          { field: "col1", key: "a", title: "col1", width: "10%" },
          {
            title: "col2-col3",
            children: [
              {
                field: "col2",
                key: "b",
                title: "col2",
                width: 100,
              },
              {
                field: "col3",
                key: "c",
                title: "col3",
                width: 110,
              },
            ],
          },
          {
            title: "col4-col5-col6",
            children: [
              {
                title: "col4-col5",
                children: [
                  {
                    field: "col4",
                    key: "d",
                    title: "col4",
                    width: 130,
                  },
                  {
                    field: "col5",
                    key: "e",
                    title: "col5",
                    width: 140,
                  },
                ],
              },
              {
                title: "col6",
                field: "col6",
                key: "f",
                width: 140,
              },
            ],
          },
          { field: "col7", key: "g", title: "col7", width: 150 },
          { field: "col8", key: "h", title: "col8", width: 160 },
        ],
        tableData: [],
      };
    },
    methods: {
      initTableData() {
        let data = [];
        for (let i = 0; i < 6; i++) {
          data.push({
            rowkey: i,
            col1: i,
            col2: i,
            col3: i,
            col4: i,
            col5: i,
            col6: i,
            col7: i,
            col8: i,
          });
        }
        this.tableData = data;
      },
    },
    created() {
      this.initTableData();
    },
  };
</script>
```

:::
