:::anchor 行号问题

:::demo 1、表格设置了虚拟滚动，footer 汇总自动支持，无需额外配置

```html
<template>
  <div>
    <ve-table
      :max-height="500"
      :virtual-scroll-option="virtualScrollOption"
      :columns="columns"
      :table-data="tableData"
      row-key-field-name="rowKey"
    />
  </div>
</template>

<script>
  export default {
    data() {
      return {
        startRowIndex: 0,
        virtualScrollOption: {
          // 是否开启
          enable: true,
          scrolling: this.scrolling,
        },

        columns: [
          {
            field: "name",
            key: "b",
            title: "Name",
            width: 200,
            align: "left",
            renderBodyCell: this.renderRowIndex,
          },
          { field: "hobby", key: "c", title: "Hobby", width: 300, align: "left" },
          { field: "address", key: "d", title: "Address", width: "", align: "left" },
        ],
        tableData: [],
      };
    },
    methods: {
      // virtual scrolling
      scrolling({
        startRowIndex,
        visibleStartIndex,
        visibleEndIndex,
        visibleAboveCount,
        visibleBelowCount,
      }) {
        this.startRowIndex = startRowIndex;
        /* console.log(
          startRowIndex,
          visibleStartIndex,
          visibleEndIndex,
          visibleAboveCount,
          visibleBelowCount
        ); */
      },
      renderRowIndex({ row, column, rowIndex }) {
        return (
          <span class="text-bold" style="color:#1890ff;">
            {rowIndex + this.startRowIndex + 1}
          </span>
        );
      },
      initData() {
        let data = [];
        for (let i = 0; i < 1000; i++) {
          data.push({
            rowKey: i,
            name: i,
            date: i,
            hobby: i,
            address: i,
          });
        }

        this.tableData = data;
      },
    },
    created() {
      this.initData();
    },
  };
</script>
```

:::
